<?xml version="1.0" encoding="utf-8"?>

<ruleset name="net.ranides.assira.standard"
         xmlns="http://pmd.sf.net/ruleset/1.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://pmd.sf.net/ruleset/1.0.0 http://pmd.sf.net/ruleset_xml_schema.xsd"
         xsi:noNamespaceSchemaLocation="http://pmd.sf.net/ruleset_xml_schema.xsd">

    <description>TEST</description>

    <rule
        name="TEST-ECB"
        ref="rulesets/java/empty.xml/EmptyCatchBlock"
        message="TEST: Must handle exceptions">
        <priority>2</priority>
    </rule>
        
    <rule name="TEST-UF"
              language="java"
              since="2.0.1"
              message="TEST-UF: message"
              class="net.ranides.assira.rules.UFRule"
              externalInfoUrl="..."
    >
        <description>TEST-UF: description</description>
        <priority>3</priority>
        <properties>
            <property name="allowCommentedBlocks" type="Boolean" value="false" description="text" />
        </properties>
    </rule>
        
    <rule name="TEST-UP" ref="rulesets/java/assira.custom.xml/UnusedParameter"/>

</ruleset>
